KAppDCOPInterface Class Reference

`#include <kappdcopiface.h>`

Inheritance diagram for KAppDCOPInterface:

## Public Member Functions

| KAppDCOPInterface (KApplication *theKapp)
| ~KAppDCOPInterface ()
Public Member Functions inherited from DCOPObject
| DCOPObject (QObject *obj)
| DCOPObject (const QCString &objId)
QCString | objId () const
bool | setObjId (const QCString &objId)
virtual bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual QCStringList | functionsDynamic ()
virtual QCStringList | interfacesDynamic ()
virtual QCStringList | interfaces ()
virtual QCStringList | functions ()
void | emitDCOPSignal (const QCString &signal, const QByteArray &data)
bool | connectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot, bool Volatile)
bool | disconnectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot)
DCOPClient * | callingDcopClient ()

## Additional Inherited Members

Static Public Member Functions inherited from DCOPObject
static bool | hasObject (const QCString &objId)
static DCOPObject * | find (const QCString &objId)
static QPtrList< DCOPObject > | match (const QCString &partialId)
static QCString | objectName (QObject *obj)

## Detailed Description

This is the main interface to the KApplication.

This will provide a consistant dcop interface to all KDE applications that use it. DCOP interface to KApplication.

Author
  Ian Reinhart Geiser geise.nosp@m.ri@y.nosp@m.ahoo..nosp@m.com

Definition at line 37 of file kappdcopiface.h.

## Constructor & Destructor Documentation

KAppDCOPInterface::KAppDCOPInterface | ( | KApplication * | theKapp | ) |

Construct a new interface object.

Parameters

  theKapp | - The parent KApplication object that will provide us with the functional interface.

Definition at line 27 of file kappdcopiface.cpp.

KAppDCOPInterface::~KAppDCOPInterface | ( |  | ) |

Destructor Cleans up the dcop connection.

Definition at line 33 of file kappdcopiface.cpp.

## Member Function Documentation

void KAppDCOPInterface::disableSessionManagement | ( |  | ) |

Disable current applications session management.

Definition at line 37 of file kappdcopiface.cpp.

The documentation for this class was generated from the following files:

- kappdcopiface.h
- kappdcopiface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys